Subject: [sup-talk] crash when searching

From: Philipp <[email-masked]>
Date: Fri, 25 Nov 2011 00:13:05 +0100

Hi there again.  I do get a crash when searching for particular terms.
At the moment I have one search term that crashes sup reliably. The
console output is attached, I believe the notable part is "invalid
source 3".  I removed one or two email accounts relatively recently
because they are defunct now, could it be that messages from those
accounts are still indexed, match the search term and sup crashes when
trying to retrieve those messages? If that or something else is the
problem, how can I fix it?

Regards,
Philipp

$ sup
[2011-11-25 00:06:09 +0100] ERROR: oh crap, an exception
----------------------------------------------------------------
I'm very sorry. It seems that an error occurred in Sup. Please
accept my sincere apologies. Please submit the contents of
/home/murks/.sup/exception-log.txt and a brief report of the
circumstances to http://masanjin.net/sup-bugs/ so that I might
address this problem. Thank you!

Sincerely,
William
----------------------------------------------------------------
--- RuntimeError from thread: load threads for thread-index-mode
invalid source 3
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:201:in `block in build_message'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:199:in `map'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:199:in `build_message'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `block (2 levels) in each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/thread.rb:338:in `call'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/thread.rb:338:in `block in load_n_threads'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `block in each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `block in each_id'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `each'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `each_id'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/thread.rb:334:in `load_n_threads'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/modes/thread-index-mode.rb:640:in `load_n_threads'
(eval):12:in `load_n_threads'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/modes/thread-index-mode.rb:624:in `block in load_n_threads_background'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup.rb:78:in `block in reporting_thread'

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk